Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.addressbook.protocol.v1
Class GetOrganizationContactInfoResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.addressbook.protocol.v1.GetOrganizationContactInfoResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class GetOrganizationContactInfoResponse

extends StatusResponseType
implements Serializable

Return healthcare organization contact data

Java class for GetOrganizationContactInfoResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetOrganizationContactInfoResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="OrganizationContactInformation" type="{urn:be:fgov:ehealth:addressbook:core:v1}OrganizationContactInformationType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetOrganizationContactInfoResponse()`

Method Summary
`OrganizationContactInformationType` | `getOrganizationContactInformation()` Gets the value of the organizationContactInformation property.
`void` | `setOrganizationContactInformation(OrganizationContactInformationType value)` Sets the value of the organizationContactInformation property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetOrganizationContactInfoResponse

    public GetOrganizationContactInfoResponse()

Method Detail

### getOrganizationContactInformation

    public OrganizationContactInformationType getOrganizationContactInformation()

  Gets the value of the organizationContactInformation property.

  Returns:
    possible object is `OrganizationContactInformationType`

### setOrganizationContactInformation

    public void setOrganizationContactInformation(OrganizationContactInformationType value)

  Sets the value of the organizationContactInformation property.

  Parameters:
    `value` - allowed object is `OrganizationContactInformationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.